You are not logged in.

#1 2016-04-19 20:07:48

Majzlik
Member
Registered: 2015-10-03
Posts: 20

gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

Hi,
I updated system today and Dota 2 stopped working. Tried to Google everywhere, used everything (windowed mode of Steam, reinstall of drivers + Steam). I'm using mesa drivers and integrated Intel graphics. Any idea what's wrong?

pid 3290 != 3289, skipping destruction (fork without exec?)
ERROR: ld.so: object '/home/majzlik/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object '/home/majzlik/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
Using breakpad crash handler
Setting breakpad minidump AppID = 570
Forcing breakpad minidump interfaces to load
Looking up breakpad interfaces from steamclient
Calling BreakpadMiniDumpSystemInit
Looking up breakpad interfaces from steamclient
Calling BreakpadMiniDumpSystemInit
Steam_SetMinidumpSteamID:  Caching Steam ID:  76561198045131128 [API loaded yes]
Steam_SetMinidumpSteamID:  Setting Steam ID:  76561198045131128
Setting breakpad minidump AppID = 373300
libGL error: unable to load driver: i965_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: i965
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast

Last edited by Majzlik (2016-05-17 12:22:42)

Offline

#2 2016-04-19 20:17:42

headkase
Member
Registered: 2011-12-06
Posts: 1,975

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

See: Here.

The gameoverlayrenderer.so is a red herring, it is not your problem those messages are normal.  See the link above for what is almost certainly the issue and how to fix it.

Offline

#3 2016-04-19 20:25:33

gutigen
Member
Registered: 2014-10-22
Posts: 13

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

headkase wrote:

See: Here.

The gameoverlayrenderer.so is a red herring, it is not your problem those messages are normal.  See the link above for what is almost certainly the issue and how to fix it.

Having same issue, but deleting Steam runtime libraries doesn't really help.

Offline

#4 2016-04-19 20:26:41

Majzlik
Member
Registered: 2015-10-03
Posts: 20

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

gutigen wrote:
headkase wrote:

See: Here.

The gameoverlayrenderer.so is a red herring, it is not your problem those messages are normal.  See the link above for what is almost certainly the issue and how to fix it.

Having same issue, but deleting Steam runtime libraries doesn't really help.

I thought it is this issue, but it's not. Tried deleting libraries but the error message is still the same.

Offline

#5 2016-04-19 20:36:40

gutigen
Member
Registered: 2014-10-22
Posts: 13

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

Majzlik wrote:

I thought it is this issue, but it's not. Tried deleting libraries but the error message is still the same.

Made a report at Valve github page:
https://github.com/ValveSoftware/Dota-2/issues/842

Offline

#6 2016-04-20 11:00:37

fanisg
Member
Registered: 2014-07-02
Posts: 42

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

I think I have the same problem. I have not tested dota2 but it seems to affect any 64bit game. For example The Talos principle 32 bit, runs ok but 64 bit not.
Until yesterday I had no problem with talos 64bit.

the difference between the two on terminal is

libGL error: unable to load driver: i965_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: i965
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast

Offline

#7 2016-04-20 13:33:42

todorovbg
Member
Registered: 2016-04-20
Posts: 1

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

Downgrade libgcrypt to 1.6.5 for a temporary fix.

Offline

#8 2016-04-21 00:39:17

harelu
Member
Registered: 2016-04-21
Posts: 1

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

todorovbg wrote:

Downgrade libgcrypt to 1.6.5 for a temporary fix.

Thank you, this worked for me after an hour of reading old answers to this issue and hunting down random steam files.

Offline

#9 2016-04-21 11:05:37

Majzlik
Member
Registered: 2015-10-03
Posts: 20

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

todorovbg wrote:

Downgrade libgcrypt to 1.6.5 for a temporary fix.

Yes, this fix works. I'm waiting for "official" fix from Valve (issue on github you posted) to close this thread.

Offline

#10 2016-04-21 16:09:10

varg04444
Member
From: Colombia
Registered: 2009-09-26
Posts: 22

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

I really LOVE the archlinux comunity smile I can confirm the solution. Downgrade the libgcrypt resolve the issue. You can download the old version from https://archive.archlinux.org/. Here are the 32 and 64 bits versions. Remember install with "sudo pacman -U package". Happy dota!


[EN] In the world there are 10 kinds of people, those who understand binary and those who not.
[ES] En el mundo hay 10 tipos de personas, las que entienden binario y las que no.

Offline

#11 2016-04-22 10:08:54

fanisg
Member
Registered: 2014-07-02
Posts: 42

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

I confirm that downgrading libgcrypt works. Talos 64bit and other games (It seems to me that 64bit games have the problem) does work after the downgrade.

Downgrading IS NOT A FIX!!! how can you name that a fix? (and just say that it is not "official". It is not a fix, it is just a downgrade that works. (the "good" news is that for the moment the downgrade is contained to only this package)

Offline

#12 2016-04-22 13:07:37

fanisg
Member
Registered: 2014-07-02
Posts: 42

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

ok, something new. (more bad news)

new lib32-libgcrypt arrived as well, and... more games (Stacking among them) do not work. So the only reason 32 bit games were not affected was that the lib32 packege had not upgraded as well.

Downgrade of lib32-libgcrypt also works.

Last edited by fanisg (2016-04-22 13:08:22)

Offline

#13 2016-05-17 12:15:09

Majzlik
Member
Registered: 2015-10-03
Posts: 20

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

Works fine with last upgrade of system:

pacman -Qs libgcrypt
local/lib32-libgcrypt 1.7.0-1
    General purpose cryptographic library based on the code from GnuPG (32-bit)
local/lib32-libgpg-error 1.22-1
    Support library for libgcrypt (32-bit)
local/libgcrypt 1.7.0-2
    General purpose cryptographic library based on the code from GnuPG
local/libgpg-error 1.22-1
    Support library for libgcrypt

I got libgcrypt-1.7.0-1, which was faulty, so problem is solved with libgcrypt-1.7.0-2 (don't confuse lib32-libgcrypt and libgcrypt).

Last edited by Majzlik (2016-05-17 12:16:42)

Offline

#14 2016-05-17 13:07:39

varg04444
Member
From: Colombia
Registered: 2009-09-26
Posts: 22

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

For me, the libgcrypt 1.7.0-2 still doesn't works.

Last edited by varg04444 (2016-05-17 13:09:01)


[EN] In the world there are 10 kinds of people, those who understand binary and those who not.
[ES] En el mundo hay 10 tipos de personas, las que entienden binario y las que no.

Offline

#15 2016-05-18 08:29:48

Gosi
Member
From: Vienna, Austria
Registered: 2010-02-25
Posts: 100

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

Try to LD_PRELOAD libstdc++. If this works you can also delete it from the runtime.

Offline

#16 2016-05-23 20:07:37

skyblake08
Member
Registered: 2016-02-26
Posts: 2

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

I have tried a lot of suggestions regarding this problem.

The best solution that I found is here - https://bbs.archlinux.org/viewtopic.php … 6#p1417306
It works for me every time steam stops working after a system upgrade.

Offline

#17 2016-06-09 11:12:06

Majzlik
Member
Registered: 2015-10-03
Posts: 20

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

I know this solution but I'm not sure it is connected with this issue. I tried it but with libgcrypt 1.7.0.1 it didn't work. The problem could be with steam reinstalling, if you reinstall Steam, you got libstdc++ in steam folder again, so it doesn't matter if you got libgcrypt 1.7.0.1 or libgcrypt 1.7.0.2.

Btw should I leave this thread "closed" or reopen it?

Offline

#18 2016-10-14 01:57:22

bouloumag
Member
Registered: 2009-12-24
Posts: 9

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

For the record, I had the same issue and found this fix (without having to mess with libgcrypt) :

LD_PRELOAD="libpthread.so.0 libGL.so.1" __GL_THREADED_OPTIMIZATIONS=1 optirun steam

Offline

#19 2019-07-31 16:36:08

arjungmenon
Member
From: New York City
Registered: 2016-11-30
Posts: 5
Website

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

bouloumag wrote:

For the record, I had the same issue and found this fix (without having to mess with libgcrypt) :

LD_PRELOAD="libpthread.so.0 libGL.so.1" __GL_THREADED_OPTIMIZATIONS=1 optirun steam

Thank you. It's late summer 2019, and I've had the exact same bug described here. Your fix here solved it for me.

Offline

#20 2019-07-31 17:14:12

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 11,683
Website

Re: gameoverlayrenderer.so cannot be preloaded - starting Dota 2 [SOLVED]

That's great, but you don't need to necrobump the topic with an empty post. Please don't do this again.

https://wiki.archlinux.org/index.php/Co … bumping%22
https://wiki.archlinux.org/index.php/Co … mpty_posts

Closing.


Sakura:-
Mobo: MSI MAG X570S TORPEDO MAX // Processor: AMD Ryzen 9 5950X @4.9GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 6x 1TB SSD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

Board footer

Powered by FluxBB